List credit notes
curl --request GET \
--url https://www.ruddr.io/api/workspace/credit-notes \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/credit-notes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/credit-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "2f4a8c1e-9b37-4d62-ae15-7c830f2e5d91",
"companyName": "Palermo Consulting, LLC",
"companyStreetAddress": "1500 North Main Boulevard\nBuilding 500, Suite 250B\nAtlanta, GA 30338",
"number": "CN-0042",
"statusId": "applied",
"billTo": "Paul's Boutique\n99 Ludlow Street\nNew York, New York 10002",
"creditNoteFor": "Invoice for Consulting Engagement",
"issuedOn": "2026-01-28",
"poNumber": "PO-20260128",
"notes": "Credit issued for overbilled hours in Q4 2025.",
"emailSubject": "Credit Note CN-0042 from Palermo Consulting",
"emails": [
"billing@paulsboutique.com"
],
"ccEmails": [
"ar@palermoconsulting.com"
],
"emailBody": "Hi,\n\nA credit note from Palermo Consulting has been prepared for your review.\n\nThank you for your business!\n\nRegards,\nPalermo Consulting",
"emailFromName": "Palermo Consulting",
"replyTo": "invoices@palermoconsulting.com",
"sendBcc": true,
"sentOn": "2026-01-29",
"currency": "USD",
"subtotal": 4025,
"taxRate": 0.0775,
"totalTax": 0,
"total": 4025,
"appliedCredit": 4025,
"remainingCredit": 0,
"createdAt": "2026-01-28T20:57:40.194Z",
"client": {
"id": "aa39afdb-e168-4956-b061-41c7c62e8c2e",
"name": "Paul's Boutique"
},
"projects": [
{
"id": "1687c3a8-bc9b-43ed-b80c-69e485315c22",
"name": "Consulting Engagement"
}
],
"lines": [
{
"id": "b6be8459-e8c3-4893-aa66-f5df1bfe3f9c",
"lineNumber": 1,
"item": "Consulting Services",
"description": "Reporting - Q4 2025",
"quantity": 18,
"rate": 175,
"amount": 3150,
"taxable": false,
"invoiceItem": {
"id": "aba04832-216c-463e-8998-c520948f707c",
"name": "Consulting Services"
},
"project": {
"id": "1687c3a8-bc9b-43ed-b80c-69e485315c22",
"name": "Consulting Engagement"
}
}
],
"invoices": [
{
"id": "d3e92f7a-15c4-48b1-9037-6e4f2a8b5c10",
"number": "INV-0117",
"amount": 4025
}
]
}
],
"hasMore": false
}{
"status": 400,
"message": "Parameter 'clientId' is not a valid UUID."
}Credit Notes
List credit notes
GET
/
credit-notes
List credit notes
A document issued to reduce the amount owed by a client on a previous invoice.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.
A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.
The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.
A client ID (uuid) used to filter credit notes for a specific client.
⌘I